Bug 518334 - PackageKit should keep kernel and kernel modules in sync
Summary: PackageKit should keep kernel and kernel modules in sync
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-19 21:58 UTC by Jonathan Blandford
Modified: 2013-04-02 04:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:11:36 UTC


Attachments (Terms of Use)

Description Jonathan Blandford 2009-08-19 21:58:35 UTC
If you have a kernel module that's dependent on the kernel version, it would be nice to try to keep it in sync before updating.  It's especially frustrating with the broadcom driver, when a kernel update will render your wireless inoperable, and you can't get back online to fix it.  

I'm not sure what the right thing to do here is, but given that we're going to be faced with 3rd party drivers for a while, it would be nice to avoid breaking people's computers.

Comment 1 Richard Hughes 2009-08-20 15:33:26 UTC
(In reply to comment #0)
> I'm not sure what the right thing to do here is, but given that we're going to
> be faced with 3rd party drivers for a while, it would be nice to avoid breaking
> people's computers.  

Surely we just habve to tell yum not to update the kernel unless all the kmods are also updated? Are you using kmod or dkms?

Comment 2 Steven M. Parrish 2009-09-13 01:32:58 UTC
Ping?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Miguel Angelo Mello 2009-12-01 22:56:00 UTC
I agree to Jonathan Blandford, on every update I got my wireless connection dead due to kernel modules not in sync to kernel updating. I think on every kernel update, kernel modules should be updated too. It is annoying to be forced to use a old kernel only to be wireless connected, and yum won't automatic update the kernel module since the kernel version is lower. :-)

Comment 4 Steven M. Parrish 2009-12-02 11:43:20 UTC
The kernel modules in question are not getting updated because whoever is responsible for those packages has either not built them or not pushed them out.  IMO this is a situation that requires the user to be aware of what is being updated and not upgrade the kernel until the modules they need are ready.

Comment 5 Miguel Angelo Mello 2009-12-02 20:57:00 UTC
This is the right resolution:

"The kernel modules in question are not getting updated because whoever is
responsible for those packages has either not built them or not pushed them
out..."

This is annoying for the end user:

"IMO this is a situation that requires the user to be aware of what is
being updated and not upgrade the kernel until the modules they need are ready..." 

By the way, it is not clear where the end user could configure for not upgrade the kernel. All this stuff should be seamless for the end user.

Comment 6 Miguel Angelo Mello 2010-03-01 22:30:02 UTC
In 2.6.31.12-174.2.22.fc12.x86_64 update, packageKit also installed the updated 
kmod-wl module for that kernel, and that's good. No more async between kernel 
update and kmod-wl module. :-)

Comment 7 Bug Zapper 2010-04-28 09:50:51 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-06-28 14:11:36 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.